> ## Documentation Index
> Fetch the complete documentation index at: https://docs.watchr.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get filtered list of movies



## OpenAPI

````yaml /api-reference/openapi.json get /movies
openapi: 3.1.0
info:
  title: Watchr
  version: 0.0.0
servers: []
security: []
paths:
  /movies:
    get:
      tags:
        - Movies
      summary: Get filtered list of movies
      operationId: get_movies
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Movie'
                type: array
                title: Response Get Movies
components:
  schemas:
    Movie:
      properties:
        id:
          type: string
          title: Id
          description: Unique Identifier of a movie
        title:
          type: string
          title: Title
        overview:
          anyOf:
            - type: string
            - type: 'null'
          title: Overview
        runtime:
          type: integer
          title: Runtime
        release:
          type: string
          format: date
          title: Release
        genres:
          items:
            $ref: '#/components/schemas/Genre'
          type: array
          title: Genres
          description: List of genres associated with this movie.
        revenue:
          type: integer
          title: Revenue
        budget:
          type: integer
          title: Budget
        poster:
          anyOf:
            - type: string
            - type: 'null'
          title: Poster
        backdrop:
          anyOf:
            - type: string
            - type: 'null'
          title: Backdrop
        collection:
          anyOf:
            - type: string
            - type: 'null'
          title: Collection
        production_companies:
          items:
            type: string
          type: array
          title: Production Companies
        production_countries:
          items:
            $ref: '#/components/schemas/Country'
          type: array
          title: Production Countries
      type: object
      required:
        - id
        - title
        - runtime
        - release
        - genres
        - revenue
        - budget
        - collection
        - production_companies
        - production_countries
      title: Movie
      description: Information about a movie.
    Genre:
      type: string
      enum:
        - Action
        - Adventure
        - Animation
        - Comedy
        - Crime
        - Documentary
        - Drama
        - Family
        - Fantasy
        - History
        - Horror
        - Music
        - Mystery
        - Romance
        - Science Fiction
        - TV Movie
        - Thriller
        - War
        - Western
      title: Genre
      description: Types of Genres a movie can have.
    Country:
      properties:
        code:
          type: string
          maxLength: 2
          minLength: 2
          title: Code
          description: ISO 3166 country code
        name:
          type: string
          title: Name
      type: object
      required:
        - code
        - name
      title: Country

````